AgentRun
Possible values: [schedule, manual]
Possible values: [queued, running, succeeded, failed, skipped]
AI credits this run used.
proposals object[]
Only on GET /agent-runs/{runUuid}.
hold_post moves the post back to draft; edit_caption replaces one caption;
retry_account publishes one failed account again; reconnect_account asks to
reconnect the account first.
Possible values: [hold_post, edit_caption, retry_account, reconnect_account]
Possible values: [info, warning, critical]
payload objectrequired
The proposed change. hold_post: reasons[] (code, account_id, message, severity)
and scheduled_at. edit_caption: version_account_id (0 = original), item_index,
before, after. retry_account: error (up to 300 characters) and, for a shortened
caption, source_account_id (the version it was taken from, 0 = original), item_index,
before, after. reconnect_account: error, reconnect_url. All carry
post_updated_at.
The proposed change. hold_post: reasons[] (code, account_id, message, severity)
and scheduled_at. edit_caption: version_account_id (0 = original), item_index,
before, after. retry_account: error (up to 300 characters) and, for a shortened
caption, source_account_id (the version it was taken from, 0 = original), item_index,
before, after. reconnect_account: error, reconnect_url. All carry
post_updated_at.
Possible values: [pending, applied, rejected, stale, failed, expired]
Why a proposal went stale or failed.
{
"uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"agent_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"agent_type": "string",
"trigger": "schedule",
"status": "queued",
"started_at": "2024-07-29T15:51:28.071Z",
"finished_at": "2024-07-29T15:51:28.071Z",
"items_checked": 0,
"proposals_created": 0,
"credits_used": 0,
"summary": "string",
"error": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"proposals": [
{
"uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"post_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"account_id": 0,
"kind": "hold_post",
"severity": "info",
"reason": "string",
"payload": {},
"status": "pending",
"decided_at": "2024-07-29T15:51:28.071Z",
"applied_at": "2024-07-29T15:51:28.071Z",
"note": "string",
"error": "string",
"created_at": "2024-07-29T15:51:28.071Z"
}
]
}